Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025/config.card	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025/config.card	(revision 4795)
@@ -34,5 +34,5 @@
 #============================
 #-- Compression level for netcdf output files
-CompressionLevel=0
+CompressionLevel=2
 #============================
 #-- Source following file with module settings, only if it exists
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/lmdz.driver	(revision 4795)
@@ -300,4 +300,11 @@
     ## Modifiy 
     IGCM_comp_modifyXmlFile nonblocker file_def_histmth_lmdz.xml histmth enabled ${ok_mensuel}
+    if [ X${OutLevel} = Xlow ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_histmth_lmdz.xml histmth output_level 5
+    elif [ X${OutLevel} = Xmedium ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_histmth_lmdz.xml histmth output_level 6
+    elif [ X${OutLevel} = Xhigh ] ; then
+	IGCM_comp_modifyXmlFile nonblocker file_def_histmth_lmdz.xml histmth output_level 7
+    fi
     
     IGCM_comp_modifyXmlFile nonblocker file_def_histday_lmdz.xml histday enabled ${ok_journe}
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/DRIVER/opa9.driver	(revision 4795)
@@ -150,5 +150,5 @@
     fi
 
-    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${opa9_UserChoices_Dynamics_on_ClosedSeas}" = "n" ] ) ; then
+    if ( [ "${opa9_UserChoices_Dynamics_on_ClosedSeas}" = "n" ] ) ; then
       OPA_CLODYN=.TRUE.
     else
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/file_def_nemo-lim3.xml	(revision 4795)
@@ -35,5 +35,5 @@
          <field field_ref="micet"            name="sitemp" level="1" />
          <field field_ref="icest"            name="sistem" level="1" />
-         <field field_ref="miceage"          name="siages" level="1" />
+         <field field_ref="miceage"          name="siages" level="2" />
          <field field_ref="isnowhc"          name="snheco" level="2" />
          <field field_ref="icehc"            name="siheco" level="2" />
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_ORCA025_cfg	(revision 4795)
@@ -72,5 +72,5 @@
    ppkth2      =      48.02989372000000    !
    ppacr2      =      13.00000000000   !
-   rn_rdt      =  900.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      =  600.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_hmin     =   10.     !  min depth of the ocean (>0) or min number of ocean level (<0)
    rn_e3zps_min=   25.     !  partial step thickness is set larger than the minimum of
@@ -187,8 +187,8 @@
                          !     1: "home made" based on Brandt et al. (JClim 2005) and Grenfell & Perovich (JGR 2004),
                          !        giving cloud-sky albedo
-   rn_alb_sdry  =  0.85  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
-   rn_alb_smlt  =  0.75  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
-   rn_alb_idry  =  0.60  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
-   rn_alb_imlt  =  0.50  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+   rn_alb_sdry  =  0.87  !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt  =  0.82  !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry  =  0.65  !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt  =  0.58  !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
 /
 !-----------------------------------------------------------------------
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1	(revision 4794)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/namelist_lim3_ORCA025_cfg_NPv6.1	(revision 4795)
@@ -6,4 +6,6 @@
 &namicerun     !   Share parameters for dynamics/advection/thermo
 !-----------------------------------------------------------------------
+   rn_amax_n     = 0.997            !  maximum tolerated ice concentration NH
+   rn_amax_s     = 0.950            !  maximum tolerated ice concentration SH
    cn_icerst_in  = "restart_ice_in" !  suffix of ice restart name (input)
    ln_limdiahsb  = .false.          !  check the heat and salt budgets (T) or not (F)