Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 4715)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 4797)
@@ -35,25 +35,26 @@
 	
 [BoundaryFiles]
-List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/ANT/sflx_lmdz_ANT_1850_phy.nc,   sflx_ANT.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/BBG/sflx_lmdz_BBG_1850_phy.nc,   sflx_BBG.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_1850_phy.nc           ,   aircraft_mth.nc     ),\
-     (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc                     ,   sad.nc	      	   )
+List= ()
 
 
-ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc              )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc                	,   o3lin.nc		)\
-            (${R_IN}/CHM/IPCC_AR6/lglived_CMIP6.dat                         ,   lglived.dat	)\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_zero_lmdz_phy.nc    		,   aircraft_hs.nc      )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_GHG.nc  ,   sflx_GHG.nc     )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_MISC.nc ,   sflx_MISC.nc    )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_NATnobio.nc  ,   sflx_noBioNAT.nc     )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   					,   landuse.nc          )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        				,   rhvEC.txt           )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt        				,   wthEC.txt           )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt        				,   clyEC.txt           )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat          				,   wth.dat             )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat          				,   cly.dat             )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat          				,   rhv.dat             )\
- 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   					,   phototable.dat	)
+ListNonDel= (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/ANT/sflx_lmdz_ANT_1850_phy.nc	,   sflx_ANT.nc         ),\
+     	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/BBG/sflx_lmdz_BBG_1850_phy.nc	,   sflx_BBG.nc         ),\
+     	    (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/Historical/v1/aircraft_1850_phy.nc		,   aircraft_mth.nc     ),\
+     	    (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc					,   sad.nc		),\
+	    (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc							,   npp.nc		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc		  			,   o3lin.nc		)\
+            (${R_IN}/CHM/IPCC_AR6/LGLIVED/lglived-ssp370.dat			  			,   lglived.dat	   	)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_sc0_lmdz_phy.nc		  			,   aircraft_hs.nc	)\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/sflx_lmdz_GHG.nc	  	,   sflx_GHG.nc	   	)\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/sflx_lmdz_MISC.nc	  	,   sflx_MISC.nc	)\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/sflx_lmdz_NATnobio.nc	  	,   sflx_noBioNAT.nc	)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc				  			,   landuse.nc	   	)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt				  			,   rhvEC.txt		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt				  			,   wthEC.txt		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt				  			,   clyEC.txt		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat				  			,   wth.dat		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat				  			,   cly.dat		)\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat				  			,   rhv.dat		)\
+ 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat			  			,   phototable.dat	)
 
 