Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 4816)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 4817)
@@ -20,5 +20,5 @@
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/ahmcoef.nc                         , .  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/mask_itf.nc                        , .  ), \
-            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa.nc                     , .  ), \
+            (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/maskMFO_opa_v2.nc                  , maskMFO_opa.nc  ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/K1rowdrg.nc                        , K1rowdrg.nc     ), \
             (${R_IN}/OCE/IPSLCM6/${opa9_UserChoices_ORCA_version}/M2rowdrg.nc                        , M2rowdrg.nc     ), \