Index: CONFIG/UNIFORM/v6/IPSLCM6.2/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/AA_make	(revision 4811)
+++ 	(revision )
@@ -1,179 +1,0 @@
-#- $Id$
-#-
-#- AA_make for IPSLCM5_v4 configuration
-#- 
-
-OASIS_DIR = ../../oasis3-mct
-
-MYSRC_DIR = $(shell /bin/pwd)
-
-all : 
-	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) IPSLCM6-LR ; fi
-
-IPSLCM6A-VLR :	
-	$(M_K) ORCA2LIM2xLMD9695-L39
-
-IPSLCM6-LR :
-	$(M_K) ORCA1LIM3xLMD144142-L79
-
-IPSLCM6-MR1 :
-	$(M_K) ORCA1LIM3xLMD256256-L79
-
-IPSLCM6-MR025 :
-	$(M_K) ORCA025LIM3xLMD256256-L79-NOPISCES
-
-IPSLESM6-CO2-LR :
-	$(M_K) ORCA1LIM3ESMxLMD144142-L79
-
-ORCA2LIM2xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz96x95x39 verif
-	echo "ORCA2LIM2xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM3xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca2lim3 lmdz96x95x39 verif
-	echo "ORCA2LIM3xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA2LIM2xLMD144142-L39 : libioipsl oasis3-mct xios liborchidee orca2lim2 lmdz144x142x39 verif
-	echo "ORCA2LIM2xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD9695-L39 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz96x95x39 verif
-	echo "ORCA1LIM3xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD9695-L39-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz96x95x39 verif
-	echo "ORCA1LIM3xLMD9695-L39" >.resol
-	echo "RESOL_ATM_3D=96x95x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD144142-L39 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz144x142x39 verif
-	echo "ORCA1LIM3xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD144142-L39-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz144x142x39 verif
-	echo "ORCA1LIM3xLMD144142-L39" >.resol
-	echo "RESOL_ATM_3D=144x142x39" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD144142-L79 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz144x142x79 verif
-	echo "ORCA1LIM3xLMD144142-L79" >.resol
-	echo "RESOL_ATM_3D=144x142x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3ESMxLMD144142-L79 : libioipsl oasis3-mct xios liborchidee orca1lim3esm lmdz144x142x79 verif
-	echo "ORCA1LIM3xLMD144142-L79" >.resol
-	echo "RESOL_ATM_3D=144x142x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD144142-L79-NOPISCES : libioipsl oasis3-mct xios liborchidee orca1lim3nopisces lmdz144x142x79 verif
-	echo "ORCA1LIM3xLMD144142-L79-NOPISCES" >.resol
-	echo "RESOL_ATM_3D=144x142x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA1LIM3xLMD256256-L79 : libioipsl oasis3-mct xios liborchidee orca1lim3 lmdz256x256x79 verif
-	echo "ORCA1LIM3xLMD256256-L79" >.resol
-	echo "RESOL_ATM_3D=256x256x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA025LIM3xLMD256256-L79 : libioipsl oasis3-mct xios liborchidee orca025lim3 lmdz256x256x79 verif
-	echo "ORCA025LIM3xLMD256256-L79" >.resol
-	echo "RESOL_ATM_3D=256x256x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-ORCA025LIM3xLMD256256-L79-NOPISCES : libioipsl oasis3-mct xios liborchidee orca025lim3nopisces lmdz256x256x79 verif
-	echo "ORCA025LIM3xLMD256256-L79" >.resol
-	echo "RESOL_ATM_3D=256x256x79" >>.resol
-	echo "$(LIB_MPI)" >.libmpi
-
-libioipsl : ../../modeles/IOIPSL/src
-	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
-
-oasis3-mct:
-	(cd $(OASIS_DIR)/util/make_dir ; cp $(MYSRC_DIR)/SOURCES/OASIS3-MCT/make_${FCM_ARCH} make.inc ; make -f TopMakefileOasis3 ; )
-
-liborchidee : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
-
-lmdz96x95x39:
-	$(M_K) lmdz RESOL_LMDZ=96x95x39
-
-lmdz144x142x39:
-	$(M_K) lmdz RESOL_LMDZ=144x142x39
-
-lmdz144x142x79:
-	$(M_K) lmdz RESOL_LMDZ=144x142x79
-
-lmdz256x256x79:
-	$(M_K) lmdz RESOL_LMDZ=256x256x79
-
-lmdz: ../../modeles/LMDZ
-#	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.1 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
-
-xios: ../../modeles/XIOS
-	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis oasis3_mct --job 4 ; cp bin/xios_server.exe ../../bin/. ; )
-
-orca2lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_diahth key_oasis3" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca2lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim3 key_oasis3 key_top key_pisces" del_key "key_lim2 key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca1lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero key_cpl_carbon_cycle key_gas                " ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca1lim3esm: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -j16 add_key "key_oasis3 key_diahth key_cpl_carbon_cycle key_gas"  del_key "key_mpp_rep key_nosignedzero                  " ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa.esm ; )
-
-orca1lim3nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -d "OPA_SRC LIM_SRC_3 NST_SRC TOP_SRC" -j16 add_key "key_oasis3                   " del_key "key_mpp_rep key_nosignedzero key_top key_pisces" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; ) 
-
-orca1lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM2_PISCES -d "OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_top key_pisces key_lim2 key_lim2_vp key_oasis3 key_vvl" del_key "key_lim3 key_nosignedzero " ; cp ORCA1_LIM2_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca025lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero" ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-orca025lim3nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3 -r ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero  key_top key_pisces  key_age              " ; cp ORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/opa ; )
-
-
-verif: ../../bin
-	ls -l ../../bin
-
-clean : cleanioipsl cleanoasis cleanxios cleanorchidee cleannemo cleanlmdz cleannemoesm
-
-	rm -rf $(LIBDIR)/* ; rm -f $(BINDIR)/*
-
-cleannemo : 
-	../../modeles/NEMOGCM/CONFIG/makenemo clean
-	rm -f $(BINDIR)/opa
-
-cleannemoesm : 
-	../../modeles/NEMOGCM/CONFIG/makenemo clean
-	rm -f $(BINDIR)/opa.esm
-
-cleanlmdz : 
-	rm -rf ../../modeles/LMDZ/libo/* ../../modeles/LMDZ/bin/* ../../modeles/LMDZ/.lock
-	rm -f $(BINDIR)/gcm.e $(BINDIR)/create_etat0_limit.e
-
-cleanorchidee :
-	( cd ../../modeles/ORCHIDEE ; ./makeorchidee_fcm -clean )
-	rm -f $(BINDIR)/gcm.e 	
-
-cleanoasis : 
-	rm -rf $(OASIS_DIR)/BLD
-	rm -f $(BINDIR)/oasis
-
-cleanxios :
-	rm -rf ../../modeles/XIOS/bin/ ../../modeles/XIOS/inc ../../modeles/XIOS/obj ../../modeles/XIOS/lib
-
-cleanioipsl :
-	( cd ../../modeles/IOIPSL/src ; gmake clean )
-	( cd $(BINDIR) ; rm -f calendar.mod  defprec.mod  errioipsl.mod  flincom.mod  fliocom.mod  getincom.mod  histcom.mod  ioipsl.mod  libioipsl.a	mathelp.mod  restcom.mod  stringop.mod )	
-
Index: CONFIG/UNIFORM/v6/IPSLCM6.2/AA_make.ldef
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/AA_make.ldef	(revision 4811)
+++ 	(revision )
@@ -1,11 +1,0 @@
-#- $Id$
-#---------------------------------------------------------------------
-#- Initialisations for IPSLCM5 configuration
-#---------------------------------------------------------------------
-SHELL = /bin/sh
-#---------------------------------------------------------------------
-LIBDIR = ../../lib
-BINDIR = ../../bin
-MODDIR = $(LIBDIR)
-#---------------------------------------------------------------------
-#-