Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_historical/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_historical/COMP/inca.card	(revision 4849)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_historical/COMP/inca.card	(revision 4850)
@@ -105,5 +105,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (od550bcas,od550oaas,od550so4as, od550so4cs, od550ssas,od550ssss, od550sscs,od550dustci,od550bcai,od550oaai, loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss)
+TimeSeriesVars2D = (od550bcas,od550oaas, od550ssas,od550ssss, od550sscs,od550dustci,od550no3ci,od550no3cs,od550bcai,od550oaai, od550sscs, od550nh4as,od550no3as, loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss,od550ASARp1a,od550ASARp2a,od550ASAPp1a,od550ASAPp2a,loadASARp1a,loadASARp2a,loadASAPp1a,loadASAPp2a)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -116,5 +116,5 @@
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vmrno,vmrno2,vmro3,vmrch4,vmrco,,mmrso4cs, mmrso4as, mmrdms, mmrssss, vmrno3, vmrhno3, mmrbcai, mmrdustci)
+TimeSeriesVars3D = (vmro3,vmrco, vmrch4, vmrno2,vmrno,mmrdms, mmrssss, mmrbcai, mmrdustci,mmrssas,mmrsscs,mmrno3as,mmrno3cs,mmrno3ci,mmrASARp1a,mmrASARp2a,mmrASAPp1a,mmrASAPp2a,mmrbcas,mmroaas,mmroaai)
 ChunckJob3D = NONE
 Seasonal=OFF
@@ -124,5 +124,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs,time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (colo3, colco, colno2, colch2o, colch4, colhno2, coloh, colso2)
+TimeSeriesVars2D = (colo3, colco, colno2, colch2o, colch4, coloh, colso2,colo3tot)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -133,5 +133,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds,time_counter, area)
-TimeSeriesVars2D = (SWTOAAS_ANT, SWTOAAS_AER, SWTOAAS_NAT, SWTOAAS_BC, SWTOAAS_SO4, SWTOAAS_POM, SWTOAAS_DUST, SWTOAAS_SS, SWTOAAS_DNO3, SWTOASS_SNO3,  SWTOAAS_FNO3)
+TimeSeriesVars2D = ()
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 4849)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/EXPERIMENTS/IPSLCMCHT/S_piControl/COMP/inca.card	(revision 4850)
@@ -44,5 +44,5 @@
 	    (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc							,   npp.nc		)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc		  			,   o3lin.nc		)\
-            (${R_IN}/CHM/IPCC_AR6/LGLIVED/lglived-ssp370.dat			  			,   lglived.dat	   	)\
+            (${R_IN}/CHM/IPCC_AR6/LGLIVED/lglived-piControl.dat			  			,   lglived.dat	   	)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_sc0_lmdz_phy.nc		  			,   aircraft_hs.nc	)\
             (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/Historical/v1/sflx_lmdz_GHG.nc	  	,   sflx_GHG.nc	   	)\
@@ -106,5 +106,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (od550bcas,od550oaas,od550so4as, od550so4cs, od550ssas,od550ssss, od550sscs,od550dustci,od550bcai,od550oaai, loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss)
+TimeSeriesVars2D = (od550bcas,od550oaas, od550ssas,od550ssss, od550sscs,od550dustci,od550no3ci,od550no3cs,od550bcai,od550oaai, od550sscs, od550nh4as,od550no3as, loaddustci, loadno3ci, loadbcai, loadoaai, loadsscs, loadso4cs, loadno3cs, loadssas, loadbcas, loadoaas, loadso4as, loadnh4as, loadno3as, loadssss,od550ASARp1a,od550ASARp2a,od550ASAPp1a,od550ASAPp2a,loadASARp1a,loadASARp2a,loadASAPp1a,loadASAPp2a)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -117,5 +117,5 @@
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vmrno,vmrno2,vmro3,vmrch4,vmrco,,mmrso4cs, mmrso4as, mmrdms, mmrssss, vmrno3, vmrhno3, mmrbcai, mmrdustci)
+TimeSeriesVars3D = (vmro3,vmrco, vmrch4, vmrno2,vmrno,mmrdms, mmrssss, mmrbcai, mmrdustci,mmrssas,mmrsscs,mmrno3as,mmrno3cs,mmrno3ci,mmrASARp1a,mmrASARp2a,mmrASAPp1a,mmrASAPp2a,mmrbcas,mmroaas,mmroaai)
 ChunckJob3D = NONE
 Seasonal=OFF
@@ -125,5 +125,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs,time_centered, time_centered_bounds, time_counter, area)
-TimeSeriesVars2D = (colo3, colco, colno2, colch2o, colch4, colhno2, coloh, colso2)
+TimeSeriesVars2D = (colo3, colco, colno2, colch2o, colch4, coloh, colso2,colo3tot)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
@@ -134,5 +134,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_centered, time_centered_bounds,time_counter, area)
-TimeSeriesVars2D = (SWTOAAS_ANT, SWTOAAS_AER, SWTOAAS_NAT, SWTOAAS_BC, SWTOAAS_SO4, SWTOAAS_POM, SWTOAAS_DUST, SWTOAAS_SS, SWTOAAS_DNO3, SWTOASS_SNO3,  SWTOAAS_FNO3)
+TimeSeriesVars2D = ()
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg	(revision 4849)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg	(revision 4850)
@@ -43,11 +43,16 @@
 od550oaas_global  | "od550oaas"   | "" | "od550oaas[d=1]"   	| "pom as optical depth @550nm" | "(-)" 	| "area[d=1]"
 od550so4as_global  | "od550so4as"   | "" | "od550so4as[d=1]"   	| "so4 as optical depth @550nm" | "(-)" 	| "area[d=1]"
-od550so4cs_global  | "od550so4cs"   | "" | "od550so4cs[d=1]"   	| "so4 cs optical depth @550nm" | "(-)" 	| "area[d=1]"
 od550ssss_global | "od550ssss"  | "" | "od550ssss[d=1]"  	| "ssssm optical depth @550nm" 	| "(-)" 	| "area[d=1]"
 od550ssas_global   | "od550ssas"    | "" | "od550ssas[d=1]"    	| "ss as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550ss_global	   | "od550ss" 	    | "" | "od550ss[d=1]"     	| "seasalt optical depth @550nm"| "(-)" 	| "area[d=1]"
-od550dust_global   | "od550dust"    | "" | "od550dust[d=1]"    	| "cidustm optical depth @550nm"| "(-)" 	| "area[d=1]"
 od550bcai_global   | "od550bcai"    | "" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=1]"
 od550oaai_global   | "od550oaai"    | "" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+od550dustci_global | "od550dustci"  | "" | "od550dustci[d=1]"   | "od550dustci"   	| "(-)" 	| "area[d=1]"
+od550no3ci_global  | "od550no3ci"   | "" | "od550no3ci[d=1]"   	| "od550no3ci"   	| "(-)" 	| "area[d=1]"
+od550no3cs_global  | "od550no3cs"   | "" | "od550no3cs[d=1]"   	| "od550no3cs"   	| "(-)" 	| "area[d=1]"
+od550sscs_global  | "od550sscs"   | "" | "d550sscs[d=1]"   	| "d550sscs"   	        | "(-)" 	| "area[d=1]"
+od550nh4as_global  | "od550nh4as"   | "" | "od550nh4as[d=1]"   	| "od550nh4as"   	| "(-)" 	| "area[d=1]"
+od550no3as_global  | "od550no3as"   | "" | "od550no3as[d=1]"   	| "od550no3as"   	| "(-)" 	| "area[d=1]"
+od550soar         | "od550ASARp1a od550ASARp2a"   | "" | "od550ASARp1a[d=1]+od550ASARp2a[d=1]"   	| "od550soar"   	| "(-)" 	| "area[d=1]"
+od550soap         | "od550ASAPp1a od550ASAPp2a"   | "" | "od550ASAPp1a[d=1]+od550ASAPp2a[d=1]"   	| "od550soap"   	| ""(-)" 	| "area[d=1]"
 loaddustci_global  | "loaddustci"   | "" | "loaddustci[d=1]"   	| "loaddustci"   	| "(-)" 	| "area[d=1]"
 loadno3ci_global   | "loadno3ci"    | "" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "(-)" 	| "area[d=1]"
@@ -55,5 +60,4 @@
 loadoaai_global   | "loadoaai"    | "" | "loadoaai[d=1]"    	| "loadoaai"    	| "(-)" 	| "area[d=1]"
 loadsscs_global	   | "loadsscs"     | "" | "loadsscs[d=1]"     	| "loadsscs"     	| "(-)" 	| "area[d=1]"
-loadso4cs_global   | "loadso4cs"    | "" | "loadso4cs[d=1]"    	| "loadso4cs"    	| "(-)" 	| "area[d=1]"
 loadno3cs_global   | "loadno3cs"    | "" | "loadno3cs[d=1]"    	| "loadno3cs"    	| "(-)" 	| "area[d=1]"
 loadssas_global	   | "loadssas"     | "" | "loadssas[d=1]"     	| "loadssas"     	| "(-)" 	| "area[d=1]"
@@ -64,18 +68,28 @@
 loadno3as_global | "loadno3as"  | "" | "loadno3as[d=1]"  	| "loadno3as"  	| "(-)" 	| "area[d=1]"
 loadssss_global  | "loadssss"   | "" | "loadssss[d=1]"   	| "loadssss"   	| "(-)" 	| "area[d=1]"
-mmrso4cs_glo       | "mmrso4cs" | "" | "mmrso4cs[d=1,k=@ave]" | "CSSO4 ave on level" | "??" | "area[d=1]"
-mmrso4as_glo       | "mmrso4as" | "" | "mmrso4as[d=1,k=@ave]" | "ASSO4 ave on level" | "??" | "area[d=1]"
-mmrso4cs_surf       | "mmrso4cs" | "" | "mmrso4cs[d=1,k=39]" | "CSSO4 at surface" | "??" | "area[d=1]"
+loadsoar         | "loadASARp1a loadASARp2a"   | "" | "loadASARp1a[d=1]+loadASARp2a[d=1]"   	| "loadsoar"   	| "kg m-2" 	| "area[d=1]"
+loadsoap         | "loadASAPp1a loadASAPp2a"   | "" | "loadASAPp1a[d=1]+loadASAPp2a[d=1]"   	| "loadsoap"   	| "kg m-2" 	| "area[d=1]"
 mmrso4as_surf       | "mmrso4as" | "" | "mmrso4as[d=1,k=39]" | "ASSO4 at surface" | "??" | "area[d=1]"
-mmrssss_glo       | "mmrssss" | "" | "mmrssss[d=1,k=@ave]" | "ASSSSM ave on level" | "??" | "area[d=1]"
 mmrssss_surf      | "mmrssss" | "" | "mmrssss[d=1,k=39]"   | "ASSSSM at surface" | "??" | "area[d=1]"
-mmrdustci_glo       | "mmrdustci" | "" | "mmrdustic[d=1,k=@ave]" | "CIDUSTM ave on level" | "??" | "area[d=1]"
 mmrdustci_surf      | "mmrdustci" | "" | "mmrdustic[d=1,k=39]"   | "CIDUSTM at surface" | "??" | "area[d=1]"
-mmrbcai_glo       | "mmrbcai" | "" | "mmrbcai[d=1,k=@ave]" | "AIBCM ave on level" | "??" | "area[d=1]"
 mmrbcai_surf      | "mmrbcai" | "" | "mmrbcai[d=1,k=39]"   | "AIBCM at surface" | "??" | "area[d=1]"
-vmrhno3_glo       | "vmrhno3" | "" | "vmrhno3[d=1,k=@ave]" | "HNO3 ave on level" | "??" | "area[d=1]"
-vmrhno3_surf      | "vmrhno3" | "" | "vmrhno3[d=1,k=39]"   | "HNO3 at surface" | "??" | "area[d=1]"
-vmrno3_glo       | "vmrno3" | "" | "vmrno3[d=1,k=@ave]" | "NO3 ave on level" | "??" | "area[d=1]"
-vmrno3_surf      | "vmrno3" | "" | "vmrno3[d=1,k=39]"   | "NO3 at surface" | "??" | "area[d=1]"
+mmrssas_surf      | "mmrssas" | "" | "mmrssas[d=1,k=39]"   | "ASSSM at surface" | "kg kg-1" | "area[d=1]"
+mmrsscs_surf      | "mmrsscs" | "" | "mmrsscs[d=1,k=39]"   | "CSSSM at surface" | "kg kg-1" | "area[d=1]"
+mmrno3as_surf      | "mmrno3as" | "" | "mmrno3as[d=1,k=39]"   | "ASNO3M at surface" | "kg kg-1" | "area[d=1]"
+mmrno3cs_surf      | "mmrno3cs" | "" | "mmrno3cs[d=1,k=39]"   | "CSNO3M at surface" | "kg kg-1" | "area[d=1]"
+mmrno3ci_surf      | "mmrno3ci" | "" | "mmrno3ci[d=1,k=39]"   | "CINO3M at surface" | "kg kg-1" | "area[d=1]"
+mmrASARp1a_surf      | "mmrASARp1a" | "" | "mmrASARp1a[d=1,k=39]"   | "ASARp1a at surface" | "kg kg-1" | "area[d=1]"
+mmrASARp2a_surf      | "mmrASARp2a" | "" | "mmrASARp2a[d=1,k=39]"   | "ASARp2a at surface" | "kg kg-1" | "area[d=1]"
+mmrASAPp1a_surf      | "mmrASAPp1a" | "" | "mmrASAPp1a[d=1,k=39]"   | "ASAPp1a at surface" | "kg kg-1" | "area[d=1]"
+mmrASAPp2a_surf      | "mmrASAPp2a" | "" | "mmrASAPp2a[d=1,k=39]"   | "ASAPp2a at surface" | "kg kg-1" | "area[d=1]"
+mmrsoar_surf         | "mmrASARp1a mmrASARp2a"   | "" | "mmrASARp1a[d=1,k=39]+mmrASARp2a[d=1,k=39]"   	| "mmrsoar_surf"   	| "kg m-2" 	| "area[d=1]"
+mmrsoap_surf         | "mmrASAPp1a mmrASAPp2a"   | "" | "mmrASAPp1a[d=1,k=39]+mmrASAPp2a[d=1,k=39]"   	| "mmrsoap_surf"   	| "kg m-2" 	| "area[d=1]"
+mmrbcas_surf      | "mmrbcas" | "" | "mmrbcas[d=1,k=39]"   | "ASBCM at surface" | "kg kg-1" | "area[d=1]"
+mmroaas_surf      | "mmroaas" | "" | "mmroaas[d=1,k=39]"   | "ASPOMM at surface"| "kg kg-1" | "area[d=1]"
+mmroaai_surf      | "mmroaai" | "" | "mmroaai[d=1,k=39]"   | "AIPOMM at surface"| "kg kg-1" | "area[d=1]"
+vmro3_surf      | "vmro3" | "" | "vmro3[d=1,k=39]"   | "O3 at surface"| "mol mol-1" | "area[d=1]"
+vmrco_surf      | "vmrco" | "" | "vmrco[d=1,k=39]"   | "CO at surface"| "mol mol-1" | "area[d=1]"
+vmrnox_surf      | "vmrnox" | "" | "vmrno2[d=1,k=39]+vmrno[d=1,k=39]"   | "NOX at surface"| "mol mol-1" | "area[d=1]"
+vmrch4_surf      | "vmrch4" | "" | "vmrch4[d=1,k=39]"   | "CH4 at surface"| "mol mol-1" | "area[d=1]"
 o3_col_global      | "colo3" 	    | "" | "colo3[d=1]" 	| "colo3" 	 | "?" | "area[d=1]"
 co_col_global	   | "colco" 	    | "" | "colco[d=1]"		| "colco" 	 | "?" | "area[d=1]"
@@ -85,14 +99,6 @@
 ch2o_col_global    | "colch2o"     | "" | "colch2o[d=1]" 	| "colch2o" 	 | "?" | "area[d=1]"
 ch4_col_global	   | "colch4" 	    | "" | "colch4[d=1]" 	| "colch4" 	 | "?" | "area[d=1]"
-hno2_col_global    | "colhno2"     | "" | "colhno2[d=1]" 	| "colhno2" 	 | "?" | "area[d=1]"
-swtoaasdust_global | "SWTOAAS_DUST" | "" | "SWTOAAS_DUST[d=1]" | "SW Top-of-Atm Rad. flx dust"            |"W m-2"      | "area[d=1]"
-swtoaasss_global | "SWTOAAS_SS" | "" | "SWTOAAS_SS[d=1]" | "SW Top-of-Atm Rad. seasalt"            |"W m-2"      | "area[d=1]"
-swtoaasant_global  | "SWTOAAS_ANT"  | "" | "SWTOAAS_ANT[d=1]"  | "SWTOAAS_ANT " | "W m-2" | "area[d=1]"
-swtoaasaer_global  | "SWTOAAS_AER"  | "" | "SWTOAAS_AER[d=1]"  | "SWTOAAS_AER " | "W m-2" | "area[d=1]"
-swtoaasnat_global  | "SWTOAAS_NAT"  | "" | "SWTOAAS_NAT[d=1]"  | "SWTOAAS_NAT " | "W m-2" | "area[d=1]"
-swtoaasbc_global   | "SWTOAAS_BC"   | "" | "SWTOAAS_BC[d=1]"   | "SWTOAAS_BC  " | "W m-2" | "area[d=1]"
-swtoaasso4_global  | "SWTOAAS_SO4"  | "" | "SWTOAAS_SO4[d=1]"  | "SWTOAAS_SO4 " | "W m-2" | "area[d=1]"
-swtoaaspom_global  | "SWTOAAS_POM"  | "" | "SWTOAAS_POM[d=1]"  | "SWTOAAS_POM " | "W m-2" | "area[d=1]"
-swtoaasdno3_global | "SWTOAAS_DNO3" | "" | "SWTOAAS_DNO3[d=1]" | "SWTOAAS_DNO3" | "W m-2" | "area[d=1]"
-swtoaassno3_global | "SWTOAAS_SNO3" | "" | "SWTOAAS_SNO3[d=1]" | "SWTOAAS_SNO3" | "W m-2" | "area[d=1]"
-swtoaasfno3_global | "SWTOAAS_FNO3" | "" | "SWTOAAS_FNO3[d=1]" | "SWTOAAS_FNO3" | "W m-2" | "area[d=1]"
+o3tot_col_global    | "colo3tot"     | "" | "colo3tot[d=1]" 	| "colo3tot" 	 | "?" | "area[d=1]"
+emi_isop_global	    | "emi_isop"      | "" | "emi_isop[d=1]" 	| "emi_isop" 	 | "kg m-2 s-1" | "area[d=1]"
+emi_mono_global	    | "emi_mono"      | "" | "emi_mono[d=1]" 	| "emi_mono" 	 | "kg m-2 s-1" | "area[d=1]"
+