Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/dcppAhindcast_CMIP6/config.card	(revision 4869)
@@ -165,12 +165,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_CMIP6/config.card	(revision 4869)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/historical_STRATAER/config.card	(revision 4869)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 4869)
@@ -157,12 +157,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl-spinup_CMIP6/config.card	(revision 4869)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_CMIP6/config.card	(revision 4869)
@@ -158,12 +158,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 4869)
@@ -157,12 +157,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================
Index: CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4817)
+++ CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLCM/scenario_CMIP6/config.card	(revision 4869)
@@ -159,12 +159,12 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3415)
-SRF= (orchidee, tag-ORCHIDEE_2_0-5627)
-SBG= (stomate, tag-ORCHIDEE_2_0-5627)
+ATM= (lmdz, LMDZ-IPSLCM6.0.15-r3616)
+SRF= (orchidee, tag-ORCHIDEE_2_0-6395)
+SBG= (stomate, tag-ORCHIDEE_2_0-6395)
 OCE= (opa9, nemo_v3_6_STABLE-r9455)
 ICE= (lim3, nemo_v3_6_STABLE-r9455)
 MBG= (pisces, nemo_v3_6_STABLE-r9455)
 CPL= (oasis, oasis3-mct-r1818)
-IOS= (xios, xios-2.5-r1550)
+IOS= (xios, xios-2.5-r1786)
 
 #========================================================================