Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/context_nemo.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/context_nemo.xml	(revision 4873)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/context_nemo.xml	(revision 4875)
@@ -38,17 +38,36 @@
     <grid_definition>    
 
+    <grid id="grid_T">
+      <domain domain_ref="grid_T" />
+    </grid>
+
+       <grid id="grid_icbcla" >
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="icbcla" />
+       </grid>
+
+       <grid id="grid_iax_20C" >
+         <domain domain_ref="grid_T_2D" />
+         <axis axis_ref="iax_20C" />
+       </grid>
+
+       <grid id="grid_iax_28C" >
+         <domain domain_ref="grid_T_2D" />
+         <axis axis_ref="iax_28C" />
+       </grid>
+
         <!--  -->
        <grid id="grid_T_2D" >
-         <domain id="grid_T" />
+         <domain domain_ref="grid_T" />
        </grid>
         <!--  -->
        <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="ncatice" />
        </grid>
         <!--  -->
        <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
+         <domain domain_ref="grid_T" />
+         <axis axis_ref="deptht" />
        </grid>
         <!--  -->
@@ -59,5 +78,5 @@
        <grid id="grid_U_3D" >
          <domain id="grid_U" />
-         <axis id="depthu" />
+         <axis axis_ref="depthu" />
        </grid>
         <!--  -->
@@ -68,5 +87,5 @@
        <grid id="grid_V_3D" >
          <domain id="grid_V" />
-         <axis id="depthv" />
+         <axis axis_ref="depthv" />
        </grid>
         <!--  -->
@@ -77,5 +96,5 @@
        <grid id="grid_W_3D" >
          <domain id="grid_W" />
-         <axis id="depthw" />
+         <axis axis_ref="depthw" />
        </grid>
         <!--  -->
@@ -86,5 +105,5 @@
        <grid id="grid_T_nfloat" >
          <domain id="grid_T" />
-         <axis id="nfloat" />
+         <axis axis_ref="nfloat" />
        </grid>
         <!--  -->
@@ -99,10 +118,10 @@
        <grid id="grid_znl_T_3D">
          <domain id="gznl" />
-         <axis id="deptht" />
+         <axis axis_ref="deptht" />
        </grid>
         <!--  -->
        <grid id="grid_znl_W_3D">
          <domain id="gznl" />
-         <axis id="depthw" />
+         <axis axis_ref="depthw" />
        </grid>
 
@@ -113,10 +132,10 @@
       <grid id="grid_ptr_T_3D">
        <domain id="ptr" />
-         <axis id="deptht" />
+         <axis axis_ref="deptht" />
        </grid>
 
       <grid id="grid_ptr_W_3D">
        <domain id="ptr" />
-         <axis id="depthw" />
+         <axis axis_ref="depthw" />
       </grid>
 
Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/field_def_nemo-opa.xml
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/field_def_nemo-opa.xml	(revision 4873)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/PARAM/field_def_nemo-opa.xml	(revision 4875)
@@ -77,6 +77,6 @@
          <field id="tinv"         long_name="Max of vertical invertion of temperature"                                                                                                         unit="degC"                      />
          <field id="depti"        long_name="Depth of max. vert. inv. of temperature"                                                                                                          unit="m"                         />
-         <field id="20d"          long_name="Depth of 20C isotherm"                          standard_name="depth_of_isosurface_of_sea_water_potential_temperature"                            unit="m"      axis_ref="iax_20C" />
-         <field id="28d"          long_name="Depth of 28C isotherm"                          standard_name="depth_of_isosurface_of_sea_water_potential_temperature"                            unit="m"      axis_ref="iax_28C" />
+         <field id="20d"          long_name="Depth of 20C isotherm"                          standard_name="depth_of_isosurface_of_sea_water_potential_temperature"                            unit="m"      grid_ref="grid_iax_20C" />
+         <field id="28d"          long_name="Depth of 28C isotherm"                          standard_name="depth_of_isosurface_of_sea_water_potential_temperature"                            unit="m"      grid_ref="grid_iax_28C" />
          <field id="hc300"        long_name="Heat content 0-300m"                            standard_name="integral_of_sea_water_potential_temperature_wrt_depth_expressed_as_heat_content"   unit="J/m2"                      />
 
@@ -525,5 +525,5 @@
       <!-- variables available with iceberg trajectories -->
 
-      <field_group id="icbvar" domain_ref="grid_T"  > 
+      <field_group id="icbvar" grid_ref="grid_T"  > 
         <field id="berg_melt"          long_name="icb melt rate of icebergs"                       unit="kg/m2/s"                    />
         <field id="berg_buoy_melt"     long_name="icb buoyancy component of iceberg melt rate"     unit="kg/m2/s"                    />
@@ -537,6 +537,6 @@
         <field id="calving"            long_name="icb calving mass input"                          unit="kg/s"                       />
         <field id="berg_floating_melt" long_name="icb melt rate of icebergs + bits"                unit="kg/m2/s"                    />
-        <field id="berg_real_calving"  long_name="icb calving into iceberg class"                  unit="kg/s"     axis_ref="icbcla" />
-        <field id="berg_stored_ice"    long_name="icb accumulated ice mass by class"               unit="kg"       axis_ref="icbcla" />
+        <field id="berg_real_calving"  long_name="icb calving into iceberg class"                  unit="kg/s"     grid_ref="grid_icbcla" />
+        <field id="berg_stored_ice"    long_name="icb accumulated ice mass by class"               unit="kg"       grid_ref="grid_icbcla" />
       </field_group>
 