Index: /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver	(revision 4883)
+++ /CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/DRIVER/inca.driver	(revision 4884)
@@ -299,5 +299,5 @@
 
     #inca.def : choose which xml will be use (with group or no = cmip files) 
-    if [ x${cmip_xml} = Xy ] ; then 
+    if [ X${cmip_xml} = Xy ] ; then 
 	
 	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  y
Index: /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 4883)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 4884)
@@ -22,4 +22,6 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc ) 
 emi_interp_time=1
+#activate the flag cmip_xml if you are running a CMIP experiment
+cmip_xml=y
 
 
@@ -50,8 +52,8 @@
 List=	(${SUBMIT_DIR}/PARAM/inca.def, .),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca_CM6.xml, field_def_inca.xml) ,\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, .) ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily.xml, file_def_inca_daily.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly.xml, file_def_inca_monthly.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_daily_CM6.xml, file_def_inca_daily.xml ), \
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_AER_monthly_CM6.xml, file_def_inca_monthly.xml ), \
     	(${MODIPSL}/bin/inca.dat, .)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/inca.driver	(revision 4883)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/DRIVER/inca.driver	(revision 4884)
@@ -24,5 +24,7 @@
     [ -f ${SUBMIT_DIR}/../.resol ] && eval $(grep RESOL_ATM_3D ${SUBMIT_DIR}/../.resol) || RESOL_ATM_3D=96x95x19
     RESOL_CHM_Z=$( echo ${RESOL_ATM_3D} | awk "-Fx" '{print $3}' | awk "-F-" '{print $1}')
-    echo 'resol chimie', $RESOL_CHM
+    RESOL_CHM_XY=$( echo ${RESOL_CHM} | awk "-F-" '{print $1}' )
+    echo 'resol chimie : ' $RESOL_CHM', resol lonlat : ' ${RESOL_CHM_XY}
+
 
     [ -f ${SUBMIT_DIR}/../.chimie ] && eval $(grep CHEM ${SUBMIT_DIR}/../.chimie) 
@@ -41,4 +43,5 @@
     enable1=.FALSE.
     enable2=.FALSE.
+    enable3=.FALSE. 
 
     for frequency in ${config_CHM_WriteFrequency} ; do
@@ -48,4 +51,7 @@
 	case ${frequency} in
 	    1M|1m) enable2=.TRUE. ;;
+	esac
+	case ${frequency} in 
+	    1H|1h) enable3=.TRUE. ;; 
 	esac
     done
@@ -155,4 +161,6 @@
 
 	NMHC_AER_S)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero_chem1  enabled ${enable3}
+
  	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
@@ -235,4 +243,10 @@
     fi
 
+    #inca.def : choose sedimentation schema 
+    if [ ! X${inca_UserChoices_multilayer_sedim} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment ${inca_UserChoices_multilayer_sedim}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment y
+    fi
 
     #inca.def : choose calcul interactif des diagnostiques flux chimique ou non  
@@ -259,4 +273,12 @@
 
 
+    #inca.def : choose which xml will be use (with group or no = cmip files) 
+    if [ X${cmip_xml} = Xy ] ; then 
+	
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  n
+    fi
+	
 
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/inca.def
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/inca.def	(revision 4883)
+++ /CONFIG/UNIFORM/v6/IPSLCM6/GENERAL/PARAM/inca.def	(revision 4884)
@@ -27,2 +27,4 @@
 #choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
 emi_interp_time=_AUTO_
+#activate the flag cmip_xml if you are running a CMIP experiment
+cmip_xml=_AUTO_: DEFAULT =n
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/inca.driver	(revision 4883)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/DRIVER/inca.driver	(revision 4884)
@@ -245,4 +245,10 @@
     fi
 
+    #inca.def : choose sedimentation schema 
+    if [ ! X${inca_UserChoices_multilayer_sedim} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment ${inca_UserChoices_multilayer_sedim}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def multilayer_sediment y
+    fi
 
     #inca.def : choose calcul interactif des diagnostiques flux chimique ou non  
@@ -266,4 +272,15 @@
 	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time 1
     fi
+
+
+
+    #inca.def : choose which xml will be use (with group or no = cmip files) 
+    if [ X${cmip_xml} = Xy ] ; then 
+	
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  n
+    fi
+	
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/inca.def
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/inca.def	(revision 4883)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10/GENERAL/PARAM/inca.def	(revision 4884)
@@ -26,2 +26,4 @@
 #choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
 emi_interp_time=_AUTO_
+#activate the flag cmip_xml if you are running a CMIP experiment
+cmip_xml=_AUTO_: DEFAULT =n
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4883)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4884)
@@ -51,4 +51,5 @@
     enable1=.FALSE.
     enable2=.FALSE.
+    enable3=.FALSE. 
 
     for frequency in ${config_CHM_WriteFrequency} ; do
@@ -58,4 +59,7 @@
 	case ${frequency} in
 	    1M|1m) enable2=.TRUE. ;;
+	esac
+	case ${frequency} in 
+	    1H|1h) enable3=.TRUE. ;; 
 	esac
     done
@@ -167,4 +171,6 @@
 
 	NMHC_AER_S)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero_chem1  enabled ${enable3}
+
  	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
@@ -211,22 +217,9 @@
     fi
 
-    if [  X${inca_UserChoices_10m_winds_method} = X ] ; then
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method  threshold
-    else
-    IGCM_comp_modifyDefFile nonblocker inca.def  10m_winds_method ${inca_UserChoices_10m_winds_method}
-    fi
-
 
     if [ ! X${inca_UserChoices_wind_parameter} = X ] ; then 
-	if [  X${inca_UserChoices_10m_winds_method} = Xthreshold ] ; then 
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
-	else
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref ${inca_UserChoices_wind_parameter}
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
-	fi
-    else
-	    IGCM_comp_modifyDefFile nonblocker inca.def  kref DEFAULT
-	    IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
+	IGCM_comp_modifyDefFile nonblocker inca.def  tref ${inca_UserChoices_wind_parameter}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  tref DEFAULT
     fi
 
@@ -288,19 +281,14 @@
     fi
 
-    #inca.def : choose output library 
-    if [  X${inca_UserChoices_XIOS} = Xy ] ; then
-	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK  y
-    else
-	IGCM_comp_modifyDefFile nonblocker inca.def  XIOS_INCA_OK n
-    fi
-
-    if [  X${inca_UserChoices_IOIPSL} = Xy ] ; then
-	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK  y
-    else
-	IGCM_comp_modifyDefFile nonblocker inca.def  IOIPSL_INCA_OK n
-    fi
-
-
-
+
+
+    #inca.def : choose which xml will be use (with group or no = cmip files) 
+    if [ X${cmip_xml} = Xy ] ; then 
+	
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  y
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def  cmip_xml  n
+    fi
+	
 
 
@@ -308,9 +296,9 @@
     # In iodef.xml add on next line after "COMPONENT CONTEXT"
     #  <context id="inca" src="./context_inca.xml"/>
-	echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
-	cp iodef.xml iodef.xml.tmp
-	sed -e "/COMPONENT CONTEXT/r add.tmp" \
-	    iodef.xml.tmp > iodef.xml
-	rm iodef.xml.tmp add.tmp
+    echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/COMPONENT CONTEXT/r add.tmp" \
+	iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
 
 
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/inca.def
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/inca.def	(revision 4883)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/PARAM/inca.def	(revision 4884)
@@ -4,20 +4,13 @@
 #LMDZ_10m_winds=y --> use 10m wind from LMDZ, =n --> use 10m wind from output file
 LMDZ_10m_winds=_AUTO_
-10m_winds_method=_AUTO_
 #choose if there is a feedback with the areosol effect
 feedb=_AUTO_
-#indicate if we are running with xios and/or ioipsl
-XIOS_INCA_OK=_AUTO_
-IOIPSL_INCA_OK=_AUTO_
-#weibull 10m wind parameter / def 4
-kref=_AUTO_: DEFAULT =4
 #threshold 10m wind parameter / def 0.78
 tref=_AUTO_: DEFAULT =0.78
 #seasalt_correctif / def = 1 
 ss_corr=_AUTO_: DEFAULT =1 
-#sedimentation 
-multilayer_sediment=_AUTO_
 #coupled model with orchidee
 CoupOrchInca=_AUTO_
+nbveget=15
 #use or not the deposition from orchidee
 DepOrch=n
@@ -33,2 +26,4 @@
 #choose which time interpolation you want to interpolate sflx file. ( 0 - 1 - 2) (no interpolation / point to point interpolation / Sheng & Zwiers interpolation) 
 emi_interp_time=_AUTO_
+#activate the flag cmip_xml if you are running a CMIP experiment
+cmip_xml=_AUTO_: DEFAULT =n