Index: /modipsl/trunk/util/mod.def
===================================================================
--- /modipsl/trunk/util/mod.def	(revision 4889)
+++ /modipsl/trunk/util/mod.def	(revision 4890)
@@ -112,5 +112,5 @@
 #-H- IPSLCM5A2.1  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2.1  IPSLCM5A2 svn
-#-H- IPSLCM5A2.1  libIGCM trunk rev 1509
+#-H- IPSLCM5A2.1  libIGCM trunk rev 1511
 #-M- IPSLCM5A2.1  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2.1  IOIPSL/tags/v2_2_2/src                        HEAD         8  IOIPSL/src     modeles
@@ -119,5 +119,5 @@
 #-C- IPSLCM5A2.1  LMDZ5/branches/IPSLCM5A2.1                    3591        11  LMDZ           modeles
 #-C- IPSLCM5A2.1  CONFIG/UNIFORM/v6/IPSLCM5A2                   4770         8  IPSLCM5A2        config
-#-C- IPSLCM5A2.1  trunk/libIGCM                                 1509        10  libIGCM        .
+#-C- IPSLCM5A2.1  trunk/libIGCM                                 1511        10  libIGCM        .
 #-C- IPSLCM5A2.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM        6665         7  .              modeles
 #-C- IPSLCM5A2.1  XIOS/branchs/xios-2.5                         1786        12  XIOS           modeles
@@ -794,5 +794,5 @@
 #-H- IPSLCM6.1.10-LR OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM6.1.10-LR IPSLCM6 svn 4816
-#-H- IPSLCM6.1.10-LR libIGCM trunk rev 1509
+#-H- IPSLCM6.1.10-LR libIGCM trunk rev 1511
 #-M- IPSLCM6.1.10-LR arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.1.10-LR IOIPSL/tags/v2_2_4/src                           HEAD         8 IOIPSL/src     modeles
@@ -802,5 +802,5 @@
 #-C- IPSLCM6.1.10-LR trunk/INCA6                                      825          9 INCA           modeles
 #-C- IPSLCM6.1.10-LR CONFIG/UNIFORM/v6/IPSLCM6                        4816         8 IPSLCM6        config
-#-C- IPSLCM6.1.10-LR trunk/libIGCM                                    1509        10 libIGCM        .
+#-C- IPSLCM6.1.10-LR trunk/libIGCM                                    1511        10 libIGCM        .
 #-C- IPSLCM6.1.10-LR branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7 .              modeles
 #-C- IPSLCM6.1.10-LR trunk/ORCA1_LIM3_PISCES                           278        17 .              modeles/NEMOGCM/CONFIG
@@ -818,5 +818,5 @@
 #-H- IPSLCM6.1.11-LR OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM6.1.11-LR IPSLCM6 svn 4871
-#-H- IPSLCM6.1.11-LR libIGCM trunk rev 1509
+#-H- IPSLCM6.1.11-LR libIGCM trunk rev 1511
 #-M- IPSLCM6.1.11-LR arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.1.11-LR IOIPSL/tags/v2_2_4/src                           HEAD         8 IOIPSL/src     modeles
@@ -826,5 +826,5 @@
 #-C- IPSLCM6.1.11-LR trunk/INCA6                                      825          9 INCA           modeles
 #-C- IPSLCM6.1.11-LR CONFIG/UNIFORM/v6/IPSLCM6                        4871         8 IPSLCM6        config
-#-C- IPSLCM6.1.11-LR trunk/libIGCM                                    1509        10 libIGCM        .
+#-C- IPSLCM6.1.11-LR trunk/libIGCM                                    1511        10 libIGCM        .
 #-C- IPSLCM6.1.11-LR branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7 .              modeles
 #-C- IPSLCM6.1.11-LR trunk/ORCA1_LIM3_PISCES                           278        17 .              modeles/NEMOGCM/CONFIG
@@ -841,5 +841,5 @@
 #-H- IPSLCM6.2_work  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM6.2_work  IPSLCM6.2 latest revision
-#-H- IPSLCM6.2_work  libIGCM trunk rev 1509
+#-H- IPSLCM6.2_work  libIGCM trunk rev 1511
 #-M- IPSLCM6.2_work  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM6.2_work  IOIPSL/trunk                                     4747         8   IOIPSL         modeles
@@ -848,5 +848,5 @@
 #-C- IPSLCM6.2_work  LMDZ6/trunk                                      3599        11   LMDZ           modeles
 #-C- IPSLCM6.2_work  CONFIG/UNIFORM/v6/IPSLCM6.2                      HEAD         8   IPSLCM6        config
-#-C- IPSLCM6.2_work  trunk/libIGCM                                    1509        10   libIGCM        .
+#-C- IPSLCM6.2_work  trunk/libIGCM                                    1511        10   libIGCM        .
 #-C- IPSLCM6.2_work  branches/2015/nemo_v3_6_STABLE/NEMOGCM           9455         7   .              modeles
 #-C- IPSLCM6.2_work  trunk/ORCA1_LIM3_PISCES                           287        17   .              modeles/NEMOGCM/CONFIG
@@ -978,5 +978,5 @@
 #-C- LMDZOR_v6.1.11  CONFIG/UNIFORM/v6/LMDZOR_v6        4870 8    LMDZOR_v6    config
 #-C- LMDZOR_v6.1.11  tags/ORCHIDEE_2_0/ORCHIDEE_OL      6395 14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.1.11  trunk/libIGCM                      1509 10   libIGCM      .
+#-C- LMDZOR_v6.1.11  trunk/libIGCM                      1511 10   libIGCM      .
 
 #-H- LMDZOR_v6.1.10  LMDZ and ORCHIDEE model configuration
@@ -990,5 +990,5 @@
 #-C- LMDZOR_v6.1.10  CONFIG/UNIFORM/v6/LMDZOR_v6        4691    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.1.10  tags/ORCHIDEE_2_0/ORCHIDEE_OL      5626    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.1.10  trunk/libIGCM                      1509    10   libIGCM      .
+#-C- LMDZOR_v6.1.10  trunk/libIGCM                      1511    10   libIGCM      .
 
 
@@ -1051,5 +1051,5 @@
 #-C- LMDZOR_v6.2_work  CONFIG/UNIFORM/v6/LMDZOR_v6.2      HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.2_work  branches/ORCHIDEE_2_2/ORCHIDEE_OL  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.2_work  trunk/libIGCM                      1509    10   libIGCM      .
+#-C- LMDZOR_v6.2_work  trunk/libIGCM                      1511    10   libIGCM      .
 
 
@@ -1064,5 +1064,5 @@
 #-C- LMDZOR_v6.3_work  CONFIG/UNIFORM/v6/LMDZOR_v6.3      HEAD    8    LMDZOR_v6    config
 #-C- LMDZOR_v6.3_work  trunk/ORCHIDEE_OL                  HEAD    14   ORCHIDEE_OL  config
-#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1509    10   libIGCM      .
+#-C- LMDZOR_v6.3_work  trunk/libIGCM                      1511    10   libIGCM      .
 
 
@@ -1098,5 +1098,5 @@
 #-C- LMDZORSTRATAER_v6  XIOS/trunk                          1043    12   XIOS               modeles
 #-C- LMDZORSTRATAER_v6  CONFIG/UNIFORM/v6/LMDZORSTRATAER_v6 HEAD    8    LMDZORSTRATAER_v6  config
-#-C- LMDZORSTRATAER_v6  trunk/libIGCM                       1509    10   libIGCM            .
+#-C- LMDZORSTRATAER_v6  trunk/libIGCM                       1511    10   libIGCM            .
 
 
@@ -1115,5 +1115,5 @@
 #-C- LMDZ5A2.1_ISO  LMDZ5/branches/IPSLCM5A2.1_ISO            3363        11  LMDZ           modeles
 #-C- LMDZ5A2.1_ISO  CONFIG/UNIFORM/v6/LMDZ5A2.1_ISO           3919         8  LMDZ5A2.1_ISO  config
-#-C- LMDZ5A2.1_ISO  trunk/libIGCM                             1509        10  libIGCM        .
+#-C- LMDZ5A2.1_ISO  trunk/libIGCM                             1511        10  libIGCM        .
 #-C- LMDZ5A2.1_ISO  XIOS/trunk                                1551        12  XIOS           modeles
 
@@ -1145,5 +1145,5 @@
 #-C- LMDZORINCA_v6  XIOS/branchs/xios-2.5              	1550 	12	XIOS		modeles
 #-C- LMDZORINCA_v6  CONFIG/UNIFORM/v6/LMDZORINCA_v6	4239	8	LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6  trunk/libIGCM			1509    10	libIGCM		.
+#-C- LMDZORINCA_v6  trunk/libIGCM			1511    10	libIGCM		.
 
 
@@ -1158,5 +1158,5 @@
 #-C- LMDZORINCA_v6.1.10  XIOS/branchs/xios-2.5			1786 	12	XIOS		modeles
 #-C- LMDZORINCA_v6.1.10  CONFIG/UNIFORM/v6/LMDZORINCA_v6.1.10	4788	8	LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6.1.10  trunk/libIGCM				1509    10	libIGCM		.
+#-C- LMDZORINCA_v6.1.10  trunk/libIGCM				1511    10	libIGCM		.
 
 #-H- LMDZORINCA_v6.2_work  LMDZ - ORCHIDEE - INCA working configuration 
@@ -1171,5 +1171,5 @@
 #-C- LMDZORINCA_v6.2_work  XIOS/trunk/arch                    1778    12   XIOS/arch    modeles
 #-C- LMDZORINCA_v6.2_work  CONFIG/UNIFORM/v6/LMDZORINCA_v6.2  HEAD    8    LMDZORINCA_v6	config
-#-C- LMDZORINCA_v6.2_work  trunk/libIGCM                      1509   10   libIGCM      	.
+#-C- LMDZORINCA_v6.2_work  trunk/libIGCM                      1511   10   libIGCM      	.
 
 
@@ -1184,5 +1184,5 @@
 #-H- IPSLCM5A2CHT.1  OASIS3-MCT 2.0_branch (rev 1818 Cerfacs server, rev 4775 IPSL server)
 #-H- IPSLCM5A2CHT.1  IPSLCM5A2CHT svn
-#-H- IPSLCM5A2CHT.1  libIGCM trunk rev 1509
+#-H- IPSLCM5A2CHT.1  libIGCM trunk rev 1511
 #-M- IPSLCM5A2CHT.1  arnaud.caubel@lsce.ipsl.fr
 #-C- IPSLCM5A2CHT.1  IOIPSL/tags/v2_2_2/src                         HEAD         8  IOIPSL/src     modeles
@@ -1192,5 +1192,5 @@
 #-C- IPSLCM5A2CHT.1  CONFIG/UNIFORM/v6/IPSLCM5A2CHT                 4879         8  IPSLCM5A2CHT      config
 #-C- IPSLCM5A2CHT.1  trunk/INCA6			                         889	     9  INCA	      modeles
-#-C- IPSLCM5A2CHT.1  trunk/libIGCM                                  1509        10  libIGCM        .
+#-C- IPSLCM5A2CHT.1  trunk/libIGCM                                  1511        10  libIGCM        .
 #-C- IPSLCM5A2CHT.1  branches/2015/nemo_v3_6_STABLE/NEMOGCM         6665         7  .              modeles
 #-C- IPSLCM5A2CHT.1  XIOS/trunk                                     1551        12  XIOS           modeles
@@ -1208,5 +1208,5 @@
 #-C- LMDZORINCAREPR_v6 XIOS/branchs/xios-2.5              	1550	12 	XIOS		modeles
 #-C- LMDZORINCAREPR_v6 CONFIG/UNIFORM/v6/LMDZORINCAREPR_v6 	HEAD 	8 	LMDZORINCA_v6 	config
-#-C- LMDZORINCAREPR_v6 trunk/libIGCM 				1509 	10 	libIGCM 	. 
+#-C- LMDZORINCAREPR_v6 trunk/libIGCM 				1511 	10 	libIGCM 	. 
 
 
@@ -1255,5 +1255,5 @@
 #-M- ORCHIDEE_trunk  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_trunk  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_trunk  trunk/libIGCM                            1509    10 libIGCM            .
+#-C- ORCHIDEE_trunk  trunk/libIGCM                            1511    10 libIGCM            .
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE                           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_trunk  trunk/ORCHIDEE_OL                        HEAD    14 ORCHIDEE_OL        config
@@ -1265,5 +1265,5 @@
 #-M- ORCHIDEE_2_2  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_2  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_2  trunk/libIGCM                            1509    10 libIGCM            .
+#-C- ORCHIDEE_2_2  trunk/libIGCM                            1511    10 libIGCM            .
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE           HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_2  branches/ORCHIDEE_2_2/ORCHIDEE_OL        HEAD    14 ORCHIDEE_OL        config
@@ -1275,5 +1275,5 @@
 #-M- ORCHIDEE_2_1  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_1  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_1  trunk/libIGCM                            1509    10 libIGCM            .
+#-C- ORCHIDEE_2_1  trunk/libIGCM                            1511    10 libIGCM            .
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_1  tags/ORCHIDEE_2_1/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
@@ -1285,5 +1285,5 @@
 #-M- ORCHIDEE_2_0  Josefine.Ghattas@ipsl.fr
 #-C- ORCHIDEE_2_0  IOIPSL/tags/v2_2_4/src                   HEAD    8  IOIPSL/src         modeles
-#-C- ORCHIDEE_2_0  trunk/libIGCM                            1509    10 libIGCM            .
+#-C- ORCHIDEE_2_0  trunk/libIGCM                            1511    10 libIGCM            .
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE               HEAD    14 ORCHIDEE           modeles
 #-C- ORCHIDEE_2_0  tags/ORCHIDEE_2_0/ORCHIDEE_OL            HEAD    14 ORCHIDEE_OL        config
@@ -1325,8 +1325,8 @@
 
 #-H- NEMO_v6_OMIP  NEMOGCM for CMIP6 exercise
-#-H- NEMO_v6_OMIP  libIGCM trunk rev 1509
+#-H- NEMO_v6_OMIP  libIGCM trunk rev 1511
 #-H- NEMO_v6_OMIP  XIOS branch xios-2.5 rev 1786
 #-M- NEMO_v6_OMIP  Christian.Ethe@ipsl.fr
-#-C- NEMO_v6_OMIP  trunk/libIGCM                                                               1509  10 libIGCM         .
+#-C- NEMO_v6_OMIP  trunk/libIGCM                                                               1511  10 libIGCM         .
 #-C- NEMO_v6_OMIP  branches/2015/nemo_v3_6_STABLE/NEMOGCM                                      9455   7  .              modeles
 #-C- NEMO_v6_OMIP  trunk/ORCA1_LIM3_PISCES                                                      275  17  .              modeles/NEMOGCM/CONFIG
@@ -1360,5 +1360,5 @@
 #-C- ICOLMDZOR_v7_work  XIOS/trunk                          1778    12   XIOS           modeles
 #-C- ICOLMDZOR_v7_work  CONFIG/UNIFORM/v7/ICOLMDZOR_v7      HEAD    8    ICOLMDZOR_v7   config
-#-C- ICOLMDZOR_v7_work  trunk/libIGCM                       1509    10   libIGCM        .
+#-C- ICOLMDZOR_v7_work  trunk/libIGCM                       1511    10   libIGCM        .
 
 