Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4901)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/DRIVER/inca.driver	(revision 4902)
@@ -141,4 +141,5 @@
 	    ;;
 	NMHC_AER)
+	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero_chem1   enabled ${enable3}
 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml forcage1     enabled ${enable1}
 	    IGCM_comp_modifyXmlFile nonblocker file_def_inca_daily.xml aero1        enabled ${enable1}
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/POST/monitoring01_inca.cfg
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/POST/monitoring01_inca.cfg	(revision 4902)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/GENERAL/POST/monitoring01_inca.cfg	(revision 4902)
@@ -0,0 +1,98 @@
+#**************************************************************
+# Author: Patrick Brockmann
+# Contact: Patrick.Brockmann@cea.fr
+# $Date: 2009/05/14 15:09:35 $
+# $Name: ATLAS_608_1_5 $
+# $Revision: 1.1.1.2 $
+# History:
+# Modification:
+#**************************************************************
+
+##################################################################################################################
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+#
+#   field = name of the field to monitore 
+#   files patterns = pattern of the files used to monitore the field (must be discriminant) 
+#   files additionnal = additionnal files accessible by $FER_DATA
+#   operations = operations to calculate the field 
+#   title = variable title
+#   units = variable units
+#   calcul of area = expression to use for the weight average
+#
+# Notes:
+#   - Comment lines begin by # character.
+#   - Separator between fields is | character.
+#   - Operations must use the ferret syntax, if several files are used precise with the syntax d=x to refer to the x dataset.
+#     They must be enclosed by parenthesis if more than one variable is used.
+#   - files patterns,files additionnal,operations,title,units must be enclosed with character ". 
+#     Use "" if empty.
+#   - Fields will be presented through an html page with thumbnails global, north, south, land, ocean.
+#     Use a field name with one of these pattern to display it under the corresponding thumbnail.
+#
+##################################################################################################################
+
+color=F0D5F4
+smooth=12
+FreqTS=DA
+#-----------------------------------------------------------------------------------------------------------------
+#  field | files patterns | files additionnal | operations | title | units | calcul of area
+#-----------------------------------------------------------------------------------------------------------------
+od550bcas_global   | "od550bcas"    | "" | "od550bcas[d=1]"    	| "bc as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+od550oaas_global  | "od550oaas"   | "" | "od550oaas[d=1]"   	| "pom as optical depth @550nm" | "(-)" 	| "area[d=1]"
+od550so4as_global  | "od550so4as"   | "" | "od550so4as[d=1]"   	| "so4 as optical depth @550nm" | "(-)" 	| "area[d=1]"
+od550so4cs_global  | "od550so4cs"   | "" | "od550so4cs[d=1]"   	| "so4 cs optical depth @550nm" | "(-)" 	| "area[d=1]"
+od550ssss_global | "od550ssss"  | "" | "od550ssss[d=1]"  	| "ssssm optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+od550ssas_global   | "od550ssas"    | "" | "od550ssas[d=1]"    	| "ss as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+od550ss_global	   | "od550ss" 	    | "" | "od550ss[d=1]"     	| "seasalt optical depth @550nm"| "(-)" 	| "area[d=1]"
+od550dust_global   | "od550dust"    | "" | "od550dust[d=1]"    	| "cidustm optical depth @550nm"| "(-)" 	| "area[d=1]"
+od550bcai_global   | "od550bcai"    | "" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+od550oaai_global   | "od550oaai"    | "" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+loaddustci_global  | "loaddustci"   | "" | "loaddustci[d=1]"   	| "loaddustci"   	| "(-)" 	| "area[d=1]"
+loadno3ci_global   | "loadno3ci"    | "" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "(-)" 	| "area[d=1]"
+loadbcai_global	   | "loadbcai"     | "" | "loadbcai[d=1]"     	| "loadbcai"     	| "(-)" 	| "area[d=1]"
+loadoaai_global   | "loadoaai"    | "" | "loadoaai[d=1]"    	| "loadoaai"    	| "(-)" 	| "area[d=1]"
+loadsscs_global	   | "loadsscs"     | "" | "loadsscs[d=1]"     	| "loadsscs"     	| "(-)" 	| "area[d=1]"
+loadso4cs_global   | "loadso4cs"    | "" | "loadso4cs[d=1]"    	| "loadso4cs"    	| "(-)" 	| "area[d=1]"
+loadno3cs_global   | "loadno3cs"    | "" | "loadno3cs[d=1]"    	| "loadno3cs"    	| "(-)" 	| "area[d=1]"
+loadssas_global	   | "loadssas"     | "" | "loadssas[d=1]"     	| "loadssas"     	| "(-)" 	| "area[d=1]"
+loadbcas_global	   | "loadbcas"     | "" | "loadbcas[d=1]"     	| "loadbcas"     	| "(-)" 	| "area[d=1]"
+loadoaas_global   | "loadoaas"    | "" | "loadoaas[d=1]"    	| "loadoaas"    	| "(-)" 	| "area[d=1]"
+loadso4as_global   | "loadso4as"    | "" | "loadso4as[d=1]"    	| "loadso4as"    	| "(-)" 	| "area[d=1]"
+loadnh4as_global | "loadnh4as"  | "" | "loadnh4as[d=1]"  	| "loadnh4as"  	| "(-)" 	| "area[d=1]"
+loadno3as_global | "loadno3as"  | "" | "loadno3as[d=1]"  	| "loadno3as"  	| "(-)" 	| "area[d=1]"
+loadssss_global  | "loadssss"   | "" | "loadssss[d=1]"   	| "loadssss"   	| "(-)" 	| "area[d=1]"
+mmrso4cs_glo       | "mmrso4cs" | "" | "mmrso4cs[d=1,k=@ave]" | "CSSO4 ave on level" | "??" | "area[d=1]"
+mmrso4as_glo       | "mmrso4as" | "" | "mmrso4as[d=1,k=@ave]" | "ASSO4 ave on level" | "??" | "area[d=1]"
+mmrso4cs_surf       | "mmrso4cs" | "" | "mmrso4cs[d=1,k=39]" | "CSSO4 at surface" | "??" | "area[d=1]"
+mmrso4as_surf       | "mmrso4as" | "" | "mmrso4as[d=1,k=39]" | "ASSO4 at surface" | "??" | "area[d=1]"
+mmrssss_glo       | "mmrssss" | "" | "mmrssss[d=1,k=@ave]" | "ASSSSM ave on level" | "??" | "area[d=1]"
+mmrssss_surf      | "mmrssss" | "" | "mmrssss[d=1,k=39]"   | "ASSSSM at surface" | "??" | "area[d=1]"
+mmrdustci_glo       | "mmrdustci" | "" | "mmrdustic[d=1,k=@ave]" | "CIDUSTM ave on level" | "??" | "area[d=1]"
+mmrdustci_surf      | "mmrdustci" | "" | "mmrdustic[d=1,k=39]"   | "CIDUSTM at surface" | "??" | "area[d=1]"
+mmrbcai_glo       | "mmrbcai" | "" | "mmrbcai[d=1,k=@ave]" | "AIBCM ave on level" | "??" | "area[d=1]"
+mmrbcai_surf      | "mmrbcai" | "" | "mmrbcai[d=1,k=39]"   | "AIBCM at surface" | "??" | "area[d=1]"
+vmrhno3_glo       | "vmrhno3" | "" | "vmrhno3[d=1,k=@ave]" | "HNO3 ave on level" | "??" | "area[d=1]"
+vmrhno3_surf      | "vmrhno3" | "" | "vmrhno3[d=1,k=39]"   | "HNO3 at surface" | "??" | "area[d=1]"
+vmrno3_glo       | "vmrno3" | "" | "vmrno3[d=1,k=@ave]" | "NO3 ave on level" | "??" | "area[d=1]"
+vmrno3_surf      | "vmrno3" | "" | "vmrno3[d=1,k=39]"   | "NO3 at surface" | "??" | "area[d=1]"
+o3_col_global      | "colo3" 	    | "" | "colo3[d=1]" 	| "colo3" 	 | "?" | "area[d=1]"
+co_col_global	   | "colco" 	    | "" | "colco[d=1]"		| "colco" 	 | "?" | "area[d=1]"
+so2_col_global	   | "colso2" 	    | "" | "colso2[d=1]"	| "colso2" 	 | "?" | "area[d=1]"
+oh_col_global	   | "coloh" 	    | "" | "coloh[d=1]"		| "coloh" 	 | "?" | "area[d=1]"
+no2_col_global	   | "colno2" 	    | "" | "colno2[d=1]" 	| "colno2" 	 | "?" | "area[d=1]"
+ch2o_col_global    | "colch2o"     | "" | "colch2o[d=1]" 	| "colch2o" 	 | "?" | "area[d=1]"
+ch4_col_global	   | "colch4" 	    | "" | "colch4[d=1]" 	| "colch4" 	 | "?" | "area[d=1]"
+hno2_col_global    | "colhno2"     | "" | "colhno2[d=1]" 	| "colhno2" 	 | "?" | "area[d=1]"
+swtoaasdust_global | "SWTOAAS_DUST" | "" | "SWTOAAS_DUST[d=1]" | "SW Top-of-Atm Rad. flx dust"            |"W m-2"      | "area[d=1]"
+swtoaasss_global | "SWTOAAS_SS" | "" | "SWTOAAS_SS[d=1]" | "SW Top-of-Atm Rad. seasalt"            |"W m-2"      | "area[d=1]"
+swtoaasant_global  | "SWTOAAS_ANT"  | "" | "SWTOAAS_ANT[d=1]"  | "SWTOAAS_ANT " | "W m-2" | "area[d=1]"
+swtoaasaer_global  | "SWTOAAS_AER"  | "" | "SWTOAAS_AER[d=1]"  | "SWTOAAS_AER " | "W m-2" | "area[d=1]"
+swtoaasnat_global  | "SWTOAAS_NAT"  | "" | "SWTOAAS_NAT[d=1]"  | "SWTOAAS_NAT " | "W m-2" | "area[d=1]"
+swtoaasbc_global   | "SWTOAAS_BC"   | "" | "SWTOAAS_BC[d=1]"   | "SWTOAAS_BC  " | "W m-2" | "area[d=1]"
+swtoaasso4_global  | "SWTOAAS_SO4"  | "" | "SWTOAAS_SO4[d=1]"  | "SWTOAAS_SO4 " | "W m-2" | "area[d=1]"
+swtoaaspom_global  | "SWTOAAS_POM"  | "" | "SWTOAAS_POM[d=1]"  | "SWTOAAS_POM " | "W m-2" | "area[d=1]"
+swtoaasdno3_global | "SWTOAAS_DNO3" | "" | "SWTOAAS_DNO3[d=1]" | "SWTOAAS_DNO3" | "W m-2" | "area[d=1]"
+swtoaassno3_global | "SWTOAAS_SNO3" | "" | "SWTOAAS_SNO3[d=1]" | "SWTOAAS_SNO3" | "W m-2" | "area[d=1]"
+swtoaasfno3_global | "SWTOAAS_FNO3" | "" | "SWTOAAS_FNO3[d=1]" | "SWTOAAS_FNO3" | "W m-2" | "area[d=1]"