Index: CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg	(revision 4856)
+++ CONFIG/UNIFORM/v6/IPSLCM5A2CHT/GENERAL/POST/monitoring01_inca.cfg	(revision 4903)
@@ -45,6 +45,6 @@
 od550ssss_global | "od550ssss"  | "" | "od550ssss[d=1]"  	| "ssssm optical depth @550nm" 	| "(-)" 	| "area[d=1]"
 od550ssas_global   | "od550ssas"    | "" | "od550ssas[d=1]"    	| "ss as optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550bcai_global   | "od550bcai"    | "" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=1]"
-od550oaai_global   | "od550oaai"    | "" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+bcai              | "od550bcai"    | "" | "od550bcai[d=1]"    	| "bc optical depth @550nm" 	| "(-)" 	| "area[d=1]"
+oaai              | "od550oaai"    | "" | "od550oaai[d=1]"    	| "oa optical depth @550nm" 	| "(-)" 	| "area[d=1]"
 od550dustci_global | "od550dustci"  | "" | "od550dustci[d=1]"   | "od550dustci"   	| "(-)" 	| "area[d=1]"
 od550no3ci_global  | "od550no3ci"   | "" | "od550no3ci[d=1]"   	| "od550no3ci"   	| "(-)" 	| "area[d=1]"
@@ -53,25 +53,25 @@
 od550nh4as_global  | "od550nh4as"   | "" | "od550nh4as[d=1]"   	| "od550nh4as"   	| "(-)" 	| "area[d=1]"
 od550no3as_global  | "od550no3as"   | "" | "od550no3as[d=1]"   	| "od550no3as"   	| "(-)" 	| "area[d=1]"
-od550soar         | "od550ASARp1a od550ASARp2a"   | "" | "od550ASARp1a[d=1]+od550ASARp2a[d=1]"   	| "od550soar"   	| "(-)" 	| "area[d=1]"
-od550soap         | "od550ASAPp1a od550ASAPp2a"   | "" | "od550ASAPp1a[d=1]+od550ASAPp2a[d=1]"   	| "od550soap"   	| "(-)" 	| "area[d=1]"
-loaddustci_global  | "loaddustci"   | "" | "loaddustci[d=1]"   	| "loaddustci"   	| "(-)" 	| "area[d=1]"
-loadno3ci_global   | "loadno3ci"    | "" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "(-)" 	| "area[d=1]"
-loadbcai_global	   | "loadbcai"     | "" | "loadbcai[d=1]"     	| "loadbcai"     	| "(-)" 	| "area[d=1]"
-loadoaai_global   | "loadoaai"    | "" | "loadoaai[d=1]"    	| "loadoaai"    	| "(-)" 	| "area[d=1]"
-loadsscs_global	   | "loadsscs"     | "" | "loadsscs[d=1]"     	| "loadsscs"     	| "(-)" 	| "area[d=1]"
-loadno3cs_global   | "loadno3cs"    | "" | "loadno3cs[d=1]"    	| "loadno3cs"    	| "(-)" 	| "area[d=1]"
-loadssas_global	   | "loadssas"     | "" | "loadssas[d=1]"     	| "loadssas"     	| "(-)" 	| "area[d=1]"
-loadbcas_global	   | "loadbcas"     | "" | "loadbcas[d=1]"     	| "loadbcas"     	| "(-)" 	| "area[d=1]"
-loadoaas_global   | "loadoaas"    | "" | "loadoaas[d=1]"    	| "loadoaas"    	| "(-)" 	| "area[d=1]"
-loadso4as_global   | "loadso4as"    | "" | "loadso4as[d=1]"    	| "loadso4as"    	| "(-)" 	| "area[d=1]"
-loadnh4as_global | "loadnh4as"  | "" | "loadnh4as[d=1]"  	| "loadnh4as"  	| "(-)" 	| "area[d=1]"
-loadno3as_global | "loadno3as"  | "" | "loadno3as[d=1]"  	| "loadno3as"  	| "(-)" 	| "area[d=1]"
-loadssss_global  | "loadssss"   | "" | "loadssss[d=1]"   	| "loadssss"   	| "(-)" 	| "area[d=1]"
-loadsoar         | "loadASARp1a loadASARp2a"   | "" | "loadASARp1a[d=1]+loadASARp2a[d=1]"   	| "loadsoar"   	| "kg m-2" 	| "area[d=1]"
-loadsoap         | "loadASAPp1a loadASAPp2a"   | "" | "loadASAPp1a[d=1]+loadASAPp2a[d=1]"   	| "loadsoap"   	| "kg m-2" 	| "area[d=1]"
+od550soar         | "od550ASARp1a od550ASARp2a"   | "" | "(od550ASARp1a[d=1]+od550ASARp2a[d=2])"   	| "od550soar"   	| "(-)" 	| "area[d=1]"
+od550soap         | "od550ASAPp1a od550ASAPp2a"   | "" | "(od550ASAPp1a[d=1]+od550ASAPp2a[d=2])"   	| "od550soap"   	| "(-)" 	| "area[d=1]"
+loaddustci_global  | "loaddustci"   | "" | "loaddustci[d=1]"   	| "loaddustci"   	| "kg m-2" 	| "area[d=1]"
+loadno3ci_global   | "loadno3ci"    | "" | "loadno3ci[d=1]"    	| "loadno3ci"    	| "kg m-2" 	| "area[d=1]"
+loadbcai_global	   | "loadbcai"     | "" | "loadbcai[d=1]"     	| "loadbcai"     	| "kg m-2" 	| "area[d=1]"
+loadoaai_global   | "loadoaai"    | "" | "loadoaai[d=1]"    	| "loadoaai"    	| "kg m-2" 	| "area[d=1]"
+loadsscs_global	   | "loadsscs"     | "" | "loadsscs[d=1]"     	| "loadsscs"     	| "kg m-2" 	| "area[d=1]"
+loadno3cs_global   | "loadno3cs"    | "" | "loadno3cs[d=1]"    	| "loadno3cs"    	| "kg m-2" 	| "area[d=1]"
+loadssas_global	   | "loadssas"     | "" | "loadssas[d=1]"     	| "loadssas"     	| "kg m-2" 	| "area[d=1]"
+loadbcas_global	   | "loadbcas"     | "" | "loadbcas[d=1]"     	| "loadbcas"     	| "kg m-2" 	| "area[d=1]"
+loadoaas_global   | "loadoaas"    | "" | "loadoaas[d=1]"    	| "loadoaas"    	| "kg m-2" 	| "area[d=1]"
+loadso4as_global   | "loadso4as"    | "" | "loadso4as[d=1]"    	| "loadso4as"    	| "kg m-2" 	| "area[d=1]"
+loadnh4as_global | "loadnh4as"  | "" | "loadnh4as[d=1]"  	| "loadnh4as"  	| "kg m-2" 	| "area[d=1]"
+loadno3as_global | "loadno3as"  | "" | "loadno3as[d=1]"  	| "loadno3as"  	| "kg m-2" 	| "area[d=1]"
+loadssss_global  | "loadssss"   | "" | "loadssss[d=1]"   	| "loadssss"   	| "kg m-2" 	| "area[d=1]"
+loadsoar         | "loadASARp1a loadASARp2a"   | "" | "(loadASARp1a[d=1]+loadASARp2a[d=2])"   	| "loadsoar"   	| "kg m-2" 	| "area[d=1]"
+loadsoap         | "loadASAPp1a loadASAPp2a"   | "" | "(loadASAPp1a[d=1]+loadASAPp2a[d=2])"   	| "loadsoap"   	| "kg m-2" 	| "area[d=1]"
 mmrso4as_surf       | "mmrso4as" | "" | "mmrso4as[d=1,k=39]" | "ASSO4 at surface" | "??" | "area[d=1]"
-mmrssss_surf      | "mmrssss" | "" | "mmrssss[d=1,k=39]"   | "ASSSSM at surface" | "??" | "area[d=1]"
+mmrssss_surf      | "mmrssss" | "" | "mmrssss[d=1,k=39]"   | "ASSSSM at surface" | "mol mol-1" | "area[d=1]"
 mmrdustci_surf      | "mmrdustci" | "" | "mmrdustic[d=1,k=39]"   | "CIDUSTM at surface" | "??" | "area[d=1]"
-mmrbcai_surf      | "mmrbcai" | "" | "mmrbcai[d=1,k=39]"   | "AIBCM at surface" | "??" | "area[d=1]"
+mmrbcai_surf      | "mmrbcai" | "" | "mmrbcai[d=1,k=39]"   | "AIBCM at surface" | "mol mol-1" | "area[d=1]"
 mmrssas_surf      | "mmrssas" | "" | "mmrssas[d=1,k=39]"   | "ASSSM at surface" | "kg kg-1" | "area[d=1]"
 mmrsscs_surf      | "mmrsscs" | "" | "mmrsscs[d=1,k=39]"   | "CSSSM at surface" | "kg kg-1" | "area[d=1]"
@@ -83,6 +83,6 @@
 mmrASAPp1a_surf      | "mmrASAPp1a" | "" | "mmrASAPp1a[d=1,k=39]"   | "ASAPp1a at surface" | "kg kg-1" | "area[d=1]"
 mmrASAPp2a_surf      | "mmrASAPp2a" | "" | "mmrASAPp2a[d=1,k=39]"   | "ASAPp2a at surface" | "kg kg-1" | "area[d=1]"
-mmrsoar_surf         | "mmrASARp1a mmrASARp2a"   | "" | "mmrASARp1a[d=1,k=39]+mmrASARp2a[d=1,k=39]"   	| "mmrsoar_surf"   	| "kg m-2" 	| "area[d=1]"
-mmrsoap_surf         | "mmrASAPp1a mmrASAPp2a"   | "" | "mmrASAPp1a[d=1,k=39]+mmrASAPp2a[d=1,k=39]"   	| "mmrsoap_surf"   	| "kg m-2" 	| "area[d=1]"
+mmrsoar_surf         | "mmrASARp1a mmrASARp2a"   | "" | "(mmrASARp1a[d=1,k=39]+mmrASARp2a[d=2,k=39])"   	| "mmrsoar_surf"   	| "kg m-2" 	| "area[d=1]"
+mmrsoap_surf         | "mmrASAPp1a mmrASAPp2a"   | "" | "(mmrASAPp1a[d=1,k=39]+mmrASAPp2a[d=2,k=39])"   	| "mmrsoap_surf"   	| "kg m-2" 	| "area[d=1]"
 mmrbcas_surf      | "mmrbcas" | "" | "mmrbcas[d=1,k=39]"   | "ASBCM at surface" | "kg kg-1" | "area[d=1]"
 mmroaas_surf      | "mmroaas" | "" | "mmroaas[d=1,k=39]"   | "ASPOMM at surface"| "kg kg-1" | "area[d=1]"
@@ -90,15 +90,15 @@
 vmro3_surf      | "vmro3" | "" | "vmro3[d=1,k=39]"   | "O3 at surface"| "mol mol-1" | "area[d=1]"
 vmrco_surf      | "vmrco" | "" | "vmrco[d=1,k=39]"   | "CO at surface"| "mol mol-1" | "area[d=1]"
-vmrnox_surf      | "vmrnox" | "" | "vmrno2[d=1,k=39]+vmrno[d=1,k=39]"   | "NOX at surface"| "mol mol-1" | "area[d=1]"
+vmrnox_surf      | "vmrno2 vmrno" | "" | "(vmrno2[d=1,k=39]+vmrno[d=2,k=39])"   | "NOX at surface"| "mol mol-1" | "area[d=1]"
 vmrch4_surf      | "vmrch4" | "" | "vmrch4[d=1,k=39]"   | "CH4 at surface"| "mol mol-1" | "area[d=1]"
-o3_col_global      | "colo3" 	    | "" | "colo3[d=1]" 	| "colo3" 	 | "?" | "area[d=1]"
-co_col_global	   | "colco" 	    | "" | "colco[d=1]"		| "colco" 	 | "?" | "area[d=1]"
-so2_col_global	   | "colso2" 	    | "" | "colso2[d=1]"	| "colso2" 	 | "?" | "area[d=1]"
-oh_col_global	   | "coloh" 	    | "" | "coloh[d=1]"		| "coloh" 	 | "?" | "area[d=1]"
-no2_col_global	   | "colno2" 	    | "" | "colno2[d=1]" 	| "colno2" 	 | "?" | "area[d=1]"
-ch2o_col_global    | "colch2o"     | "" | "colch2o[d=1]" 	| "colch2o" 	 | "?" | "area[d=1]"
-ch4_col_global	   | "colch4" 	    | "" | "colch4[d=1]" 	| "colch4" 	 | "?" | "area[d=1]"
-o3tot_col_global    | "colo3tot"     | "" | "colo3tot[d=1]" 	| "colo3tot" 	 | "?" | "area[d=1]"
-emi_isop_global	    | "emi_isop"      | "" | "emi_isop[d=1]" 	| "emi_isop" 	 | "kg m-2 s-1" | "area[d=1]"
-emi_mono_global	    | "emi_mono"      | "" | "emi_mono[d=1]" 	| "emi_mono" 	 | "kg m-2 s-1" | "area[d=1]"
+o3_col_global      | "colo3" 	    | "" | "colo3[d=1]" 	| "colo3" 	 | "DU" | "area[d=1]"
+co_col_global	   | "colco" 	    | "" | "colco[d=1]"		| "colco" 	 | "1.e18 molec cm-2" | "area[d=1]"
+so2_col_global	   | "colso2" 	    | "" | "colso2[d=1]"	| "colso2" 	 | "1.e15 molec cm-2" | "area[d=1]"
+oh_col_global	   | "coloh" 	    | "" | "coloh[d=1]"		| "coloh" 	 | "molec cm-2" | "area[d=1]"
+no2_col_global	   | "colno2" 	    | "" | "colno2[d=1]" 	| "colno2" 	 | "1.e15 molec cm-2" | "area[d=1]"
+ch2o_col_global    | "colch2o"     | "" | "colch2o[d=1]" 	| "colch2o" 	 | "1.e15 molec cm-2" | "area[d=1]"
+ch4_col_global	   | "colch4" 	    | "" | "colch4[d=1]" 	| "colch4" 	 | "1.e19 molec cm-2" | "area[d=1]"
+o3tot_col_global    | "colo3tot"     | "" | "colo3tot[d=1]" 	| "colo3tot" 	 | "DU" | "area[d=1]"
+emi_isop_global	    | "emiisop"      | "" | "emiisop[d=1]" 	| "emi_isop" 	 | "kg m-2 s-1" | "area[d=1]"
+#emi_mono_global	    | "emi_mono"      | "" | "emi_mono[d=1]" 	| "emi_mono" 	 | "kg m-2 s-1" | "area[d=1]"
 